com.corticon.rulesemf.canonicalvocabularymodel.metadata.java

## Interface AssociationMetadata

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, MemberMetadata, org.eclipse.emf.common.notify.Notifier

      public interface AssociationMetadata
      extends MemberMetadata

  A representation of the model object 'Association Metadata'.

  The following features are supported:

  - `Collection`
  - `No Arg Constructor`
  - `Generic Type`
  See Also:
    `JavaPackage.getAssociationMetadata()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getGenericType()` Returns the value of the 'Generic Type' attribute
    `boolean` | `isCollection()` Returns the value of the 'Collection' attribute
    `boolean` | `isNoArgConstructor()` Returns the value of the 'No Arg Constructor' attribute
    `void` | `setCollection(boolean value)` Sets the value of the '`Collection`' attribute
    `void` | `setGenericType(java.lang.String value)` Sets the value of the '`Generic Type`' attribute
    `void` | `setNoArgConstructor(boolean value)` Sets the value of the '`No Arg Constructor`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalvocabularymodel.metadata.java.MemberMetadata

      `getCategory, getName, getType, isArray, setArray, setCategory, setName, setType`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isCollection

          boolean isCollection()

      Returns the value of the 'Collection' attribute.

      If the meaning of the 'Collection' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Collection' attribute.
      See Also:
        `setCollection(boolean)`, `JavaPackage.getAssociationMetadata_Collection()`

    - #### setCollection

          void setCollection(boolean value)

      Sets the value of the '`Collection`' attribute.
      Parameters:
        `value` - the new value of the 'Collection' attribute.
      See Also:
        `isCollection()`

    - #### isNoArgConstructor

          boolean isNoArgConstructor()

      Returns the value of the 'No Arg Constructor' attribute.

      If the meaning of the 'No Arg Constructor' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'No Arg Constructor' attribute.
      See Also:
        `setNoArgConstructor(boolean)`, `JavaPackage.getAssociationMetadata_NoArgConstructor()`

    - #### setNoArgConstructor

          void setNoArgConstructor(boolean value)

      Sets the value of the '`No Arg Constructor`' attribute.
      Parameters:
        `value` - the new value of the 'No Arg Constructor' attribute.
      See Also:
        `isNoArgConstructor()`

    - #### getGenericType

          java.lang.String getGenericType()

      Returns the value of the 'Generic Type' attribute.

      If the meaning of the 'Generic Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Generic Type' attribute.
      See Also:
        `setGenericType(String)`, `JavaPackage.getAssociationMetadata_GenericType()`

    - #### setGenericType

          void setGenericType(java.lang.String value)

      Sets the value of the '`Generic Type`' attribute.
      Parameters:
        `value` - the new value of the 'Generic Type' attribute.
      See Also:
        `getGenericType()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.